Package com.logicaldoc.core.communication.oauth

# Interface TokenProvider

All Known Implementing Classes:
  `Microsoft365TokenProvider`

public interface TokenProvider
For connecting to the mail store via IMAP or SMTP using OAuth 2.0 authentication, one shall first obtain an access token.

Since:
  8.9.3
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccessToken(String clientSecret, String clientId, String clientTenant)`
Retrieves the access token for a given email account

## Method Details

### getAccessToken

String getAccessToken(String clientSecret, String clientId, String clientTenant) throws IOException
Retrieves the access token for a given email account

Parameters:
  `clientSecret` - the client Secret
  `clientId` - the client ID
  `clientTenant` - the client Tenant
Returns:
  The access token
Throws:
  `IOException` - Error retrieving the token